> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.orinlabs.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop Agent

> Stop a running agent.



## OpenAPI

````yaml POST /api/cloud/agents/{id}/stop/
openapi: 3.0.3
info:
  title: Bedrock API
  version: 1.0.0
  description: API for managing agent templates, agents, organizations, and adapter state
servers: []
security: []
paths:
  /api/cloud/agents/{id}/stop/:
    post:
      tags:
        - cloud
      description: Stop a running agent.
      operationId: cloud_agents_stop_create
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this Agent.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentRunResponse'
          description: ''
      security:
        - tokenAuth: []
        - APIKeyAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    AgentRunResponse:
      type: object
      description: Serializer for agent run response.
      properties:
        status:
          type: string
      required:
        - status
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````